# Quick Start with OpenVINO™ Toolkit via Deep Learning Workbench {#openvino_docs_get_started_get_started_dl_workbench}

The OpenVINO™ toolkit  is a comprehensive toolkit for optimizing pretrained deep learning models to achieve high performance and prepare them for deployment on Intel® platforms. Deep Learning Workbench (DL Workbench) is the OpenVINO™ toolkit UI designed to make the production of pretrained deep learning models significantly easier.

Start working with the OpenVINO™ toolkit right from your browser: import a model, analyze its performance and accuracy, visualize the outputs, optimize and prepare the model for deployment in a matter of minutes. DL Workbench will take you through the full OpenVINO™ workflow, providing the opportunity to learn about various toolkit components.

![](./dl_workbench_img/openvino_in_dl_wb.png)

##  User Goals

* Learn what neural networks are, how they work, and how to examine their architectures with more than 200 deep learning models.
* Measure and interpret model performance right after the import​.
* Tune the model for enhanced performance.
* Analyze the quality of your model and visualize output.
* Use preconfigured JupyterLab\* environment to learn OpenVINO™ workflow. 

## Run DL Workbench 

You can [run DL Workbench](@ref workbench_docs_Workbench_DG_Install) on your local system or in the Intel® DevCloud for the Edge. Ensure that you have met the [prerequisites](@ref workbench_docs_Workbench_DG_Prerequisites).

Run DL Workbench on your local system by using the installation form. Select your options and run the commands on the local machine:

<iframe style="width: 100%; height: 620px;" src="https://openvinotoolkit.github.io/workbench_aux/"  frameborder="0" allow="clipboard-write;"></iframe>

Once DL Workbench is set up, open the http://127.0.0.1:5665 link.

![](./dl_workbench_img/active_projects_page.png)


Congratulations, you have installed DL Workbench. Your next step is to [Get Started with DL Workbench](@ref workbench_docs_Workbench_DG_Work_with_Models_and_Sample_Datasets) and create your first project. 

## Videos

<table>
  <tr>
    <td>
<iframe width="320" src="https://www.youtube.com/embed/on8xSSTKCt8" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</td>
<td>
    <iframe width="320" src="https://www.youtube.com/embed/JBDG2g5hsoM" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</td>
  </tr>
  <tr>
    <td><strong>What is the OpenVINO™ toolkit DL Workbench</strong>. <br>Duration: 1:31</td>
    <td><strong>How to Install the OpenVINO™ toolkit DL Workbench</strong>. <br>Duration: 8:20</td>
  </tr>
</table>

## See Also
* [Get Started with DL Workbench](@ref workbench_docs_Workbench_DG_Work_with_Models_and_Sample_Datasets)
* [DL Workbench Overview](@ref workbench_docs_Workbench_DG_Introduction)
* [DL Workbench Educational Resources](@ref workbench_docs_Workbench_DG_Additional_Resources)
* [OpenVINO™ Toolkit Overview](../index.md)
